Open SCAP Library

Macros | Functions | Variables
environmentvariable58.c File Reference

environmentvariable58 probe More...

`#include <stdlib.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include "seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include "alloc.h"`
`#include "common/debug_priv.h"`

## Macros
#define | BUFFER_SIZE 256

## Functions
int | probe_main (probe_ctx *ctx, void *arg)

## Variables
char ** | environ

## Detailed Description

environmentvariable58 probe

Author
  "Petr Lautrbach" plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m

This probe is able to process a environmentvariable58_object as defined in OVAL 5.8.